%define oname rsync


Summary:	A program for synchronizing files over a network
Name:		rsync-fadvise
Version: 	3.1.2
Release:	%mkrel 1
Group:		Networking/File transfer
URL:		http://rsync.samba.org/
Source0:	http://rsync.samba.org/ftp/rsync/rsync-%{version}.tar.gz
Source5:	http://rsync.samba.org/ftp/rsync/rsync-patches-%{version}.tar.gz
Patch0:		rsync-3.1.1-rrsync-bug.patch
Patch1:		rsync-3.1.2-CVE-2017-17433.patch
Patch2:		rsync-3.1.2-CVE-2017-17434-part1.patch
Patch3:		rsync-3.1.2-CVE-2017-17434-part2.patch
Patch4:		rsync-3.1.1-fix-failing-tests-with-patches-for-CVE-2017-17433-17434.patch
Patch5:		rsync-3.1.2-CVE-2017-16548.patch
Patch6:		rsync-3.1.2-CVE-2018-5764.patch
Patch7:         rsync-3.1.2-1-fadvise.patch
License:	GPLv3+
BuildRequires:	popt-devel
BuildRequires:	libacl-devel
BuildRequires:	zlib-devel
BuildRequires:	acl

%define acl_patches 1

%{?_with_patches:%define acl_patches 1}
%{?_without_patches:%define acl_patches 0}

%description
Rsync uses a quick and reliable algorithm to very quickly bring
remote and host files into sync.  Rsync is fast because it just
sends the differences in the files over the network (instead of
sending the complete files). Rsync is often used as a very powerful
mirroring process or just as a more capable replacement for the
rcp command.  A technical report which describes the rsync algorithm
is included in this package.

Install rsync if you need a powerful mirroring program.

%if %acl_patches
This rpm has these patches applied from rsync tree:
  - acl: allow to mirror acl

Rebuild the source rpm with `--without patches' if you don't  want these patches
%endif

%prep
%if %acl_patches
%setup -q -D -b 5 -n %{oname}-%{version}
%__patch -p1 -b -z .dir-del < patches/backup-dir-dels.diff
%__patch -p1 -b -z .acl < patches/acls.diff
%else
%setup -q -n %{oname}-%{version}
%endif
%patch0 -p1 -b .rrsync
%patch1 -p1 -b .CVE-2017-17433
%patch2 -p1 -b .CVE-2017-17434-part1
%patch3 -p1 -b .CVE-2017-17434-part2
%patch4 -p1 -b .fix-failing-tests
%patch5 -p1 -b .CVE-2017-16548
%patch6 -p1 -b .CVE-2018-5764
%patch7 -p1 -b .fadvise

%build
%__autoconf
%__autoheader
%serverbuild
rm -f config.h

%configure2_5x \
    --enable-acl-support \
    --with-nobody-group=nogroup

%make proto
%make


%install
rm -rf %buildroot
%makeinstall_std

rm -rf %buildroot/%{_mandir}
mv %buildroot/%{_bindir}/rsync %buildroot/%{_bindir}/rsync-fadvise

%files
%{_bindir}/rsync-fadvise


%changelog
* Mon Oct 28 2918 tex - 3.1.2-1pclos2019
- create

